// SPDX-License-Identifier: Apache-2.0
// Sealed with Magistamp.

//! A Rust tool to magically seal your source files with SPDX license headers.

mod project;
mod stamper;



use std::path::Path;
use std::{env, io};

use crate::stamper::*;



/// Print the version of the project.
#[allow(dead_code)]
fn print_version()
{
   println!("{} v{}", project::get_name(), project::get_version());
}



fn main() -> io::Result<()>
{
   let dir = env::args().nth(1).unwrap_or_else(|| ".".to_string());
   let path = Path::new(&dir);

   Stamper::visit_dirs(path)?;

   Ok(())
}
